Loading...
Searching...
No Matches
fastjet::SelectorWorker Class Referenceabstract
Selectors

default selector worker is an abstract virtual base class More...

`#include <fastjet/Selector.hh>`

## Public Member Functions

virtual | ~SelectorWorker ()
| default dtor
virtual bool | pass (const PseudoJet &jet) const =0
| returns true if a given object passes the selection criterion, and is the main function that needs to be overloaded by derived workers.
virtual void | terminator (std::vector< const PseudoJet * > &jets) const
| For each jet that does not pass the cuts, this routine sets the pointer to 0.
virtual bool | applies_jet_by_jet () const
| returns true if this can be applied jet by jet
virtual std::string | description () const
| returns a description of the worker
virtual bool | takes_reference () const
| returns true if the worker is defined with respect to a reference jet
virtual void | set_reference (const PseudoJet &)
| sets the reference jet for the selector NB: "reference" is commented to avoid unused-variable compiler warnings
virtual SelectorWorker * | copy ()
| return a copy of the current object.
virtual void | get_rapidity_extent (double &rapmin, double &rapmax) const
| returns the rapidity range for which it may return "true"
virtual bool | is_geometric () const
| check if it is a geometric selector (i.e.
virtual bool | has_finite_area () const
| check if it has a finite area
virtual bool | has_known_area () const
| check if it has an analytically computable area
virtual double | known_area () const
| if it has a computable area, return it

## Detailed Description

default selector worker is an abstract virtual base class

The Selector class is only an interface, it is the SelectorWorker that really does the work. To implement various selectors, one thus has to overload this class.

Definition at line 59 of file Selector.hh.

## Constructor & Destructor Documentation

## ~SelectorWorker()

virtual fastjet::SelectorWorker::~SelectorWorker | ( |  | ) |

inline virtual

default dtor

Definition at line 65 of file Selector.hh.

## Member Function Documentation

## pass()

virtual bool fastjet::SelectorWorker::pass | ( | const PseudoJet & | jet | ) | const

pure virtual

returns true if a given object passes the selection criterion, and is the main function that needs to be overloaded by derived workers.

NB: this function is used only if applies_jet_by_jet() returns true. If it does not, then derived classes are expected to (re)implement the terminator function()

## terminator()

virtual void fastjet::SelectorWorker::terminator | ( | std::vector< const PseudoJet * > & | jets | ) | const

inline virtual

For each jet that does not pass the cuts, this routine sets the pointer to 0.

It does not assume that the PseudoJet* passed as argument are not NULL

Definition at line 84 of file Selector.hh.

## applies_jet_by_jet()

virtual bool fastjet::SelectorWorker::applies_jet_by_jet | ( |  | ) | const

inline virtual

returns true if this can be applied jet by jet

Definition at line 91 of file Selector.hh.

## description()

virtual std::string fastjet::SelectorWorker::description | ( |  | ) | const

inline virtual

returns a description of the worker

Definition at line 94 of file Selector.hh.

## takes_reference()

virtual bool fastjet::SelectorWorker::takes_reference | ( |  | ) | const

inline virtual

returns true if the worker is defined with respect to a reference jet

Definition at line 102 of file Selector.hh.

## set_reference()

virtual void fastjet::SelectorWorker::set_reference | ( | const PseudoJet & |  | ) |

inline virtual

sets the reference jet for the selector NB: "reference" is commented to avoid unused-variable compiler warnings

Definition at line 106 of file Selector.hh.

## copy()

virtual SelectorWorker * fastjet::SelectorWorker::copy | ( |  | ) |

inline virtual

return a copy of the current object.

This function is only called for objects that take a reference and need not be reimplemented otherwise.

Definition at line 114 of file Selector.hh.

## get_rapidity_extent()

virtual void fastjet::SelectorWorker::get_rapidity_extent | ( | double & | rapmin,
|  | double & | rapmax ) const

inline virtual

returns the rapidity range for which it may return "true"

Definition at line 123 of file Selector.hh.

## is_geometric()

virtual bool fastjet::SelectorWorker::is_geometric | ( |  | ) | const

inline virtual

check if it is a geometric selector (i.e.

only puts constraints on rapidity and azimuthal angle)

Definition at line 130 of file Selector.hh.

## has_finite_area()

bool fastjet::SelectorWorker::has_finite_area | ( |  | ) | const

virtual

check if it has a finite area

Definition at line 217 of file Selector.cc.

## has_known_area()

virtual bool fastjet::SelectorWorker::has_known_area | ( |  | ) | const

inline virtual

check if it has an analytically computable area

Definition at line 136 of file Selector.hh.

## known_area()

virtual double fastjet::SelectorWorker::known_area | ( |  | ) | const

inline virtual

if it has a computable area, return it

Definition at line 139 of file Selector.hh.

The documentation for this class was generated from the following files:

- include/fastjet/Selector.hh
- src/Selector.cc